import * as React from 'react';
import { Route, Switch } from 'react-router-dom';

import AccountLayout from './layout/AccountLayout';
import AppLayout from './layout/AppLayout';

import TempLayout from './layout/TempLayout';

export interface Props {
}
export interface State {
}

class App extends React.Component<Props, State> {

  constructor(props: Props, context: State) {
    super(props, context);
  }

  public render(): JSX.Element {
    return (
      <Switch>
        <Route path='/temp' component={TempLayout}/>
        <Route path='/account' component={AccountLayout}/>
        <Route path='/' component={AppLayout}/>
      </Switch>
    );
  }
}

export default App;

