import * as React from 'react';
import {
  Menu,
  Header,
  Container,
  Popup,
} from 'semantic-ui-react';
import { Notification } from '@overflow/commons/react/component/Notification';

export class LogoBar extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
    };
  }

  public handleLogoClick = () => {
    alert('handleLogoClick');
  }

  public handleNotiClick = () => {
    alert('handleNotiClick');
  }

  public render(): JSX.Element {
    return (
      <Container fluid style={{ background: '#f8f8f8', 'paddingRight': '7px' }}>
        <Menu borderless secondary >
          <Menu.Item name='logo'>
            {/* <Image src='https://lh3.googleusercontent.com/EaEViB7RYr3Rhhez8zY0TYsNsS5Rv2i63kyiQ5ym0rhQh38KRXBh7BDFo4mjDTDU_Hm6FAVg35247ZM1wE6cO-TuBP4wxYW2SG4hYoojqkUomu587xg3t50VGUSceK17-LUZhM-5XoCsXUXBHtfXVMqMZ2rUb23tgm7Kuv7eTgZZz0o9_dB0lApoi57EBVBNX8_qIDSH3YmGfvqhnKeh5AYnnBG_QXlTg1JExwtMehCe8KgXs4-vLuVicPCCuJ2AXSoWFpVXL9TVhrrMOkeuGd-6PGAFiNxeTG6NylQKwbQikx3Mx7KmGq3iSc8mqp0AmwjptG2DtS7nqwNaAZAi1DtraHYgJcE_tfpEgnZfFSWmVYQYcUe98pfZR11OfJErdJxE3w-mL1b4MoyufB0VkSlFM1BpMlfP3OsnnDIdNAXthT6MuLtI2iLv_CNeoDKi3fdH-zIcSmoArgAFrAo0-9oYUfvQDdaC_8MMddc97b_L78fzFOPRGIf52Ajr-Ia6sjdyDFdJ46-wPKfMW8XHnFfA96NsIcA-HYRZ7GTteJOzVq6HEabwnurZdTxdmCjzGHcb7OEu00DkVMhM6WbWZ0L8HWpIk92sy-sKbprHe-9oh_9WaxJzPrlG=w180-h30-no'
            style={{width:'120px'}} onClick={this.handleLogoClick} />  */}
          </Menu.Item>
          <Popup trigger={<Menu.Item
            position='right'
            icon='bell'
          />}
            on='click' wide >
            <Notification />
          </Popup>

        </Menu>
      </Container>
    );
  }
}



