import * as React from 'react';
import { RouteComponentProps } from 'react-router';
import SensorSetupContainer from '@overflow/sensor/react/SensorConfiguration';
import WebSocketRPC from '@overflow/commons/websocket/WebSocketRPC';
import AppContext from '@overflow/commons/context';
import inject from '@overflow/commons/context/decorator/inject';

class SensorSetup extends React.Component<RouteComponentProps<object>, object> {
  @inject()
  private client: WebSocketRPC;

  public constructor(props?: RouteComponentProps<object>, context?: object) {
    super(props, context);

    let con = AppContext.get<WebSocketRPC>();
  }

  public render(): JSX.Element {
    return (
        <SensorSetupContainer />
    );
  }

  private test(@inject() c: WebSocketRPC): void {
    console.log('');
  }
}


export default SensorSetup;
